petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCSVD

Use pseudo inverse defined by SVD of operator

### Options Database

-pc_svd_zero_sing <rtol> Singular values smaller than this are treated as zero -+ -pc_svd_monitor Print information on the extreme singular values of the operator

Developer Note: This implementation automatically creates a redundant copy of the matrix on each process and uses a sequential SVD solve. Why does it do this instead of using the composable PCREDUNDANT object?

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC

Level:advanced
Location:src/ksp/pc/impls/svd/svd.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages